/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateJobTemplateInput } from "../types/CreateJobTemplateInput";
import { CreateJobTemplateOutput } from "../types/CreateJobTemplateOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/CreateJobTemplateInput";
export * from "../types/CreateJobTemplateOutput";
export * from "../types/CreateJobTemplateExceptionsUnion";
export declare class CreateJobTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateJobTemplateInput, OutputTypesUnion, CreateJobTemplateOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: CreateJobTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateJobTemplateInput, CreateJobTemplateOutput, _stream.Readable>;
    constructor(input: CreateJobTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<CreateJobTemplateInput, CreateJobTemplateOutput>;
}
