/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeletePresetInput } from "../types/DeletePresetInput";
import { DeletePresetOutput } from "../types/DeletePresetOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/DeletePresetInput";
export * from "../types/DeletePresetOutput";
export * from "../types/DeletePresetExceptionsUnion";
export declare class DeletePresetCommand implements __aws_sdk_types.Command<InputTypesUnion, DeletePresetInput, OutputTypesUnion, DeletePresetOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: DeletePresetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeletePresetInput, DeletePresetOutput, _stream.Readable>;
    constructor(input: DeletePresetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<DeletePresetInput, DeletePresetOutput>;
}
