/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteQueueInput } from "../types/DeleteQueueInput";
import { DeleteQueueOutput } from "../types/DeleteQueueOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/DeleteQueueInput";
export * from "../types/DeleteQueueOutput";
export * from "../types/DeleteQueueExceptionsUnion";
export declare class DeleteQueueCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteQueueInput, OutputTypesUnion, DeleteQueueOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteQueueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteQueueInput, DeleteQueueOutput, _stream.Readable>;
    constructor(input: DeleteQueueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<DeleteQueueInput, DeleteQueueOutput>;
}
