/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisassociateCertificateInput } from "../types/DisassociateCertificateInput";
import { DisassociateCertificateOutput } from "../types/DisassociateCertificateOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/DisassociateCertificateInput";
export * from "../types/DisassociateCertificateOutput";
export * from "../types/DisassociateCertificateExceptionsUnion";
export declare class DisassociateCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, DisassociateCertificateInput, OutputTypesUnion, DisassociateCertificateOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: DisassociateCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisassociateCertificateInput, DisassociateCertificateOutput, _stream.Readable>;
    constructor(input: DisassociateCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<DisassociateCertificateInput, DisassociateCertificateOutput>;
}
