"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisassociateCertificate_1 = require("../model/operations/DisassociateCertificate");
var DisassociateCertificateCommand = /** @class */ (function () {
    function DisassociateCertificateCommand(input) {
        this.input = input;
        this.model = DisassociateCertificate_1.DisassociateCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisassociateCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisassociateCertificateCommand;
}());
exports.DisassociateCertificateCommand = DisassociateCertificateCommand;
//# sourceMappingURL=DisassociateCertificateCommand.js.map