"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetJobTemplate_1 = require("../model/operations/GetJobTemplate");
var GetJobTemplateCommand = /** @class */ (function () {
    function GetJobTemplateCommand(input) {
        this.input = input;
        this.model = GetJobTemplate_1.GetJobTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetJobTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetJobTemplateCommand;
}());
exports.GetJobTemplateCommand = GetJobTemplateCommand;
//# sourceMappingURL=GetJobTemplateCommand.js.map