/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListJobTemplatesInput } from "../types/ListJobTemplatesInput";
import { ListJobTemplatesOutput } from "../types/ListJobTemplatesOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/ListJobTemplatesInput";
export * from "../types/ListJobTemplatesOutput";
export * from "../types/ListJobTemplatesExceptionsUnion";
export declare class ListJobTemplatesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListJobTemplatesInput, OutputTypesUnion, ListJobTemplatesOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: ListJobTemplatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListJobTemplatesInput, ListJobTemplatesOutput, _stream.Readable>;
    constructor(input: ListJobTemplatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<ListJobTemplatesInput, ListJobTemplatesOutput>;
}
