"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListJobTemplates_1 = require("../model/operations/ListJobTemplates");
var ListJobTemplatesCommand = /** @class */ (function () {
    function ListJobTemplatesCommand(input) {
        this.input = input;
        this.model = ListJobTemplates_1.ListJobTemplates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListJobTemplatesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListJobTemplatesCommand;
}());
exports.ListJobTemplatesCommand = ListJobTemplatesCommand;
//# sourceMappingURL=ListJobTemplatesCommand.js.map