/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListJobsInput } from "../types/ListJobsInput";
import { ListJobsOutput } from "../types/ListJobsOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/ListJobsInput";
export * from "../types/ListJobsOutput";
export * from "../types/ListJobsExceptionsUnion";
export declare class ListJobsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListJobsInput, OutputTypesUnion, ListJobsOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: ListJobsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListJobsInput, ListJobsOutput, _stream.Readable>;
    constructor(input: ListJobsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<ListJobsInput, ListJobsOutput>;
}
