/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateJobTemplateInput } from "../types/UpdateJobTemplateInput";
import { UpdateJobTemplateOutput } from "../types/UpdateJobTemplateOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/UpdateJobTemplateInput";
export * from "../types/UpdateJobTemplateOutput";
export * from "../types/UpdateJobTemplateExceptionsUnion";
export declare class UpdateJobTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateJobTemplateInput, OutputTypesUnion, UpdateJobTemplateOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateJobTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateJobTemplateInput, UpdateJobTemplateOutput, _stream.Readable>;
    constructor(input: UpdateJobTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<UpdateJobTemplateInput, UpdateJobTemplateOutput>;
}
