/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateQueueInput } from "../types/UpdateQueueInput";
import { UpdateQueueOutput } from "../types/UpdateQueueOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/UpdateQueueInput";
export * from "../types/UpdateQueueOutput";
export * from "../types/UpdateQueueExceptionsUnion";
export declare class UpdateQueueCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateQueueInput, OutputTypesUnion, UpdateQueueOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateQueueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateQueueInput, UpdateQueueOutput, _stream.Readable>;
    constructor(input: UpdateQueueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<UpdateQueueInput, UpdateQueueOutput>;
}
