"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AssociateCertificateInput_1 = require("../shapes/AssociateCertificateInput");
var AssociateCertificateOutput_1 = require("../shapes/AssociateCertificateOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AssociateCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AssociateCertificate",
    http: {
        method: "POST",
        requestUri: "/2017-08-29/certificates"
    },
    input: {
        shape: AssociateCertificateInput_1.AssociateCertificateInput
    },
    output: {
        shape: AssociateCertificateOutput_1.AssociateCertificateOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=AssociateCertificate.js.map