"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreatePresetInput_1 = require("../shapes/CreatePresetInput");
var CreatePresetOutput_1 = require("../shapes/CreatePresetOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePreset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePreset",
    http: {
        method: "POST",
        requestUri: "/2017-08-29/presets"
    },
    input: {
        shape: CreatePresetInput_1.CreatePresetInput
    },
    output: {
        shape: CreatePresetOutput_1.CreatePresetOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreatePreset.js.map