"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisassociateCertificateInput_1 = require("../shapes/DisassociateCertificateInput");
var DisassociateCertificateOutput_1 = require("../shapes/DisassociateCertificateOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisassociateCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisassociateCertificate",
    http: {
        method: "DELETE",
        requestUri: "/2017-08-29/certificates/{arn}"
    },
    input: {
        shape: DisassociateCertificateInput_1.DisassociateCertificateInput
    },
    output: {
        shape: DisassociateCertificateOutput_1.DisassociateCertificateOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DisassociateCertificate.js.map