"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateJobTemplateInput_1 = require("../shapes/UpdateJobTemplateInput");
var UpdateJobTemplateOutput_1 = require("../shapes/UpdateJobTemplateOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateJobTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateJobTemplate",
    http: {
        method: "PUT",
        requestUri: "/2017-08-29/jobTemplates/{name}"
    },
    input: {
        shape: UpdateJobTemplateInput_1.UpdateJobTemplateInput
    },
    output: {
        shape: UpdateJobTemplateOutput_1.UpdateJobTemplateOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateJobTemplate.js.map