"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccelerationSettings_1 = require("./_AccelerationSettings");
var _JobTemplateSettings_1 = require("./_JobTemplateSettings");
var ___mapOf__string_1 = require("./___mapOf__string");
exports.CreateJobTemplateInput = {
    type: "structure",
    required: ["Settings", "Name"],
    members: {
        AccelerationSettings: {
            shape: _AccelerationSettings_1._AccelerationSettings,
            locationName: "accelerationSettings"
        },
        Category: {
            shape: {
                type: "string"
            },
            locationName: "category"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        Priority: {
            shape: {
                type: "integer",
                min: -50
            },
            locationName: "priority"
        },
        Queue: {
            shape: {
                type: "string"
            },
            locationName: "queue"
        },
        Settings: {
            shape: _JobTemplateSettings_1._JobTemplateSettings,
            locationName: "settings"
        },
        StatusUpdateInterval: {
            shape: {
                type: "string"
            },
            locationName: "statusUpdateInterval"
        },
        Tags: {
            shape: ___mapOf__string_1.___mapOf__string,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=CreateJobTemplateInput.js.map