"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PresetSettings_1 = require("./_PresetSettings");
var ___mapOf__string_1 = require("./___mapOf__string");
exports.CreatePresetInput = {
    type: "structure",
    required: ["Settings", "Name"],
    members: {
        Category: {
            shape: {
                type: "string"
            },
            locationName: "category"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        Settings: {
            shape: _PresetSettings_1._PresetSettings,
            locationName: "settings"
        },
        Tags: {
            shape: ___mapOf__string_1.___mapOf__string,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=CreatePresetInput.js.map