"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListJobsInput = {
    type: "structure",
    required: [],
    members: {
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            },
            location: "querystring",
            locationName: "maxResults"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "nextToken"
        },
        Order: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "order"
        },
        Queue: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "queue"
        },
        Status: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "status"
        }
    }
};
//# sourceMappingURL=ListJobsInput.js.map