"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccelerationSettings_1 = require("./_AccelerationSettings");
var _JobTemplateSettings_1 = require("./_JobTemplateSettings");
exports.UpdateJobTemplateInput = {
    type: "structure",
    required: ["Name"],
    members: {
        AccelerationSettings: {
            shape: _AccelerationSettings_1._AccelerationSettings,
            locationName: "accelerationSettings"
        },
        Category: {
            shape: {
                type: "string"
            },
            locationName: "category"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        Name: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "name"
        },
        Priority: {
            shape: {
                type: "integer",
                min: -50
            },
            locationName: "priority"
        },
        Queue: {
            shape: {
                type: "string"
            },
            locationName: "queue"
        },
        Settings: {
            shape: _JobTemplateSettings_1._JobTemplateSettings,
            locationName: "settings"
        },
        StatusUpdateInterval: {
            shape: {
                type: "string"
            },
            locationName: "statusUpdateInterval"
        }
    }
};
//# sourceMappingURL=UpdateJobTemplateInput.js.map