"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PresetSettings_1 = require("./_PresetSettings");
exports.UpdatePresetInput = {
    type: "structure",
    required: ["Name"],
    members: {
        Category: {
            shape: {
                type: "string"
            },
            locationName: "category"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        Name: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "name"
        },
        Settings: {
            shape: _PresetSettings_1._PresetSettings,
            locationName: "settings"
        }
    }
};
//# sourceMappingURL=UpdatePresetInput.js.map