"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ReservationPlanSettings_1 = require("./_ReservationPlanSettings");
exports.UpdateQueueInput = {
    type: "structure",
    required: ["Name"],
    members: {
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        Name: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "name"
        },
        ReservationPlanSettings: {
            shape: _ReservationPlanSettings_1._ReservationPlanSettings,
            locationName: "reservationPlanSettings"
        },
        Status: {
            shape: {
                type: "string"
            },
            locationName: "status"
        }
    }
};
//# sourceMappingURL=UpdateQueueInput.js.map