"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._AacSettings = {
    type: "structure",
    required: [],
    members: {
        AudioDescriptionBroadcasterMix: {
            shape: {
                type: "string"
            },
            locationName: "audioDescriptionBroadcasterMix"
        },
        Bitrate: {
            shape: {
                type: "integer",
                min: 6000
            },
            locationName: "bitrate"
        },
        CodecProfile: {
            shape: {
                type: "string"
            },
            locationName: "codecProfile"
        },
        CodingMode: {
            shape: {
                type: "string"
            },
            locationName: "codingMode"
        },
        RateControlMode: {
            shape: {
                type: "string"
            },
            locationName: "rateControlMode"
        },
        RawFormat: {
            shape: {
                type: "string"
            },
            locationName: "rawFormat"
        },
        SampleRate: {
            shape: {
                type: "integer",
                min: 8000
            },
            locationName: "sampleRate"
        },
        Specification: {
            shape: {
                type: "string"
            },
            locationName: "specification"
        },
        VbrQuality: {
            shape: {
                type: "string"
            },
            locationName: "vbrQuality"
        }
    }
};
//# sourceMappingURL=_AacSettings.js.map