"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Ac3Settings = {
    type: "structure",
    required: [],
    members: {
        Bitrate: {
            shape: {
                type: "integer",
                min: 64000
            },
            locationName: "bitrate"
        },
        BitstreamMode: {
            shape: {
                type: "string"
            },
            locationName: "bitstreamMode"
        },
        CodingMode: {
            shape: {
                type: "string"
            },
            locationName: "codingMode"
        },
        Dialnorm: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "dialnorm"
        },
        DynamicRangeCompressionProfile: {
            shape: {
                type: "string"
            },
            locationName: "dynamicRangeCompressionProfile"
        },
        LfeFilter: {
            shape: {
                type: "string"
            },
            locationName: "lfeFilter"
        },
        MetadataControl: {
            shape: {
                type: "string"
            },
            locationName: "metadataControl"
        },
        SampleRate: {
            shape: {
                type: "integer",
                min: 48000
            },
            locationName: "sampleRate"
        }
    }
};
//# sourceMappingURL=_Ac3Settings.js.map