"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AudioNormalizationSettings_1 = require("./_AudioNormalizationSettings");
var _AudioCodecSettings_1 = require("./_AudioCodecSettings");
var _RemixSettings_1 = require("./_RemixSettings");
exports._AudioDescription = {
    type: "structure",
    required: [],
    members: {
        AudioNormalizationSettings: {
            shape: _AudioNormalizationSettings_1._AudioNormalizationSettings,
            locationName: "audioNormalizationSettings"
        },
        AudioSourceName: {
            shape: {
                type: "string"
            },
            locationName: "audioSourceName"
        },
        AudioType: {
            shape: {
                type: "integer"
            },
            locationName: "audioType"
        },
        AudioTypeControl: {
            shape: {
                type: "string"
            },
            locationName: "audioTypeControl"
        },
        CodecSettings: {
            shape: _AudioCodecSettings_1._AudioCodecSettings,
            locationName: "codecSettings"
        },
        CustomLanguageCode: {
            shape: {
                type: "string",
                min: 3
            },
            locationName: "customLanguageCode"
        },
        LanguageCode: {
            shape: {
                type: "string"
            },
            locationName: "languageCode"
        },
        LanguageCodeControl: {
            shape: {
                type: "string"
            },
            locationName: "languageCodeControl"
        },
        RemixSettings: {
            shape: _RemixSettings_1._RemixSettings,
            locationName: "remixSettings"
        },
        StreamName: {
            shape: {
                type: "string"
            },
            locationName: "streamName"
        }
    }
};
//# sourceMappingURL=_AudioDescription.js.map