"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._AudioNormalizationSettings = {
    type: "structure",
    required: [],
    members: {
        Algorithm: {
            shape: {
                type: "string"
            },
            locationName: "algorithm"
        },
        AlgorithmControl: {
            shape: {
                type: "string"
            },
            locationName: "algorithmControl"
        },
        CorrectionGateLevel: {
            shape: {
                type: "integer",
                min: -70
            },
            locationName: "correctionGateLevel"
        },
        LoudnessLogging: {
            shape: {
                type: "string"
            },
            locationName: "loudnessLogging"
        },
        PeakCalculation: {
            shape: {
                type: "string"
            },
            locationName: "peakCalculation"
        },
        TargetLkfs: {
            shape: {
                type: "float"
            },
            locationName: "targetLkfs"
        }
    }
};
//# sourceMappingURL=_AudioNormalizationSettings.js.map