"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CaptionDestinationSettings_1 = require("./_CaptionDestinationSettings");
exports._CaptionDescription = {
    type: "structure",
    required: [],
    members: {
        CaptionSelectorName: {
            shape: {
                type: "string",
                min: 1
            },
            locationName: "captionSelectorName"
        },
        CustomLanguageCode: {
            shape: {
                type: "string",
                min: 3
            },
            locationName: "customLanguageCode"
        },
        DestinationSettings: {
            shape: _CaptionDestinationSettings_1._CaptionDestinationSettings,
            locationName: "destinationSettings"
        },
        LanguageCode: {
            shape: {
                type: "string"
            },
            locationName: "languageCode"
        },
        LanguageDescription: {
            shape: {
                type: "string"
            },
            locationName: "languageDescription"
        }
    }
};
//# sourceMappingURL=_CaptionDescription.js.map