"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Hdr10Metadata_1 = require("./_Hdr10Metadata");
exports._ColorCorrector = {
    type: "structure",
    required: [],
    members: {
        Brightness: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "brightness"
        },
        ColorSpaceConversion: {
            shape: {
                type: "string"
            },
            locationName: "colorSpaceConversion"
        },
        Contrast: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "contrast"
        },
        Hdr10Metadata: {
            shape: _Hdr10Metadata_1._Hdr10Metadata,
            locationName: "hdr10Metadata"
        },
        Hue: {
            shape: {
                type: "integer",
                min: -180
            },
            locationName: "hue"
        },
        Saturation: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "saturation"
        }
    }
};
//# sourceMappingURL=_ColorCorrector.js.map