"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SpekeKeyProvider_1 = require("./_SpekeKeyProvider");
var _StaticKeyProvider_1 = require("./_StaticKeyProvider");
exports._HlsEncryptionSettings = {
    type: "structure",
    required: [],
    members: {
        ConstantInitializationVector: {
            shape: {
                type: "string",
                min: 32
            },
            locationName: "constantInitializationVector"
        },
        EncryptionMethod: {
            shape: {
                type: "string"
            },
            locationName: "encryptionMethod"
        },
        InitializationVectorInManifest: {
            shape: {
                type: "string"
            },
            locationName: "initializationVectorInManifest"
        },
        OfflineEncrypted: {
            shape: {
                type: "string"
            },
            locationName: "offlineEncrypted"
        },
        SpekeKeyProvider: {
            shape: _SpekeKeyProvider_1._SpekeKeyProvider,
            locationName: "spekeKeyProvider"
        },
        StaticKeyProvider: {
            shape: _StaticKeyProvider_1._StaticKeyProvider,
            locationName: "staticKeyProvider"
        },
        Type: {
            shape: {
                type: "string"
            },
            locationName: "type"
        }
    }
};
//# sourceMappingURL=_HlsEncryptionSettings.js.map