"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ___listOf__integerMin32Max8182_1 = require("./___listOf__integerMin32Max8182");
var _DvbNitSettings_1 = require("./_DvbNitSettings");
var _DvbSdtSettings_1 = require("./_DvbSdtSettings");
var _DvbTdtSettings_1 = require("./_DvbTdtSettings");
var _M2tsScte35Esam_1 = require("./_M2tsScte35Esam");
exports._M2tsSettings = {
    type: "structure",
    required: [],
    members: {
        AudioBufferModel: {
            shape: {
                type: "string"
            },
            locationName: "audioBufferModel"
        },
        AudioFramesPerPes: {
            shape: {
                type: "integer"
            },
            locationName: "audioFramesPerPes"
        },
        AudioPids: {
            shape: ___listOf__integerMin32Max8182_1.___listOf__integerMin32Max8182,
            locationName: "audioPids"
        },
        Bitrate: {
            shape: {
                type: "integer"
            },
            locationName: "bitrate"
        },
        BufferModel: {
            shape: {
                type: "string"
            },
            locationName: "bufferModel"
        },
        DvbNitSettings: {
            shape: _DvbNitSettings_1._DvbNitSettings,
            locationName: "dvbNitSettings"
        },
        DvbSdtSettings: {
            shape: _DvbSdtSettings_1._DvbSdtSettings,
            locationName: "dvbSdtSettings"
        },
        DvbSubPids: {
            shape: ___listOf__integerMin32Max8182_1.___listOf__integerMin32Max8182,
            locationName: "dvbSubPids"
        },
        DvbTdtSettings: {
            shape: _DvbTdtSettings_1._DvbTdtSettings,
            locationName: "dvbTdtSettings"
        },
        DvbTeletextPid: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "dvbTeletextPid"
        },
        EbpAudioInterval: {
            shape: {
                type: "string"
            },
            locationName: "ebpAudioInterval"
        },
        EbpPlacement: {
            shape: {
                type: "string"
            },
            locationName: "ebpPlacement"
        },
        EsRateInPes: {
            shape: {
                type: "string"
            },
            locationName: "esRateInPes"
        },
        ForceTsVideoEbpOrder: {
            shape: {
                type: "string"
            },
            locationName: "forceTsVideoEbpOrder"
        },
        FragmentTime: {
            shape: {
                type: "float"
            },
            locationName: "fragmentTime"
        },
        MaxPcrInterval: {
            shape: {
                type: "integer"
            },
            locationName: "maxPcrInterval"
        },
        MinEbpInterval: {
            shape: {
                type: "integer"
            },
            locationName: "minEbpInterval"
        },
        NielsenId3: {
            shape: {
                type: "string"
            },
            locationName: "nielsenId3"
        },
        NullPacketBitrate: {
            shape: {
                type: "float"
            },
            locationName: "nullPacketBitrate"
        },
        PatInterval: {
            shape: {
                type: "integer"
            },
            locationName: "patInterval"
        },
        PcrControl: {
            shape: {
                type: "string"
            },
            locationName: "pcrControl"
        },
        PcrPid: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "pcrPid"
        },
        PmtInterval: {
            shape: {
                type: "integer"
            },
            locationName: "pmtInterval"
        },
        PmtPid: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "pmtPid"
        },
        PrivateMetadataPid: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "privateMetadataPid"
        },
        ProgramNumber: {
            shape: {
                type: "integer"
            },
            locationName: "programNumber"
        },
        RateMode: {
            shape: {
                type: "string"
            },
            locationName: "rateMode"
        },
        Scte35Esam: {
            shape: _M2tsScte35Esam_1._M2tsScte35Esam,
            locationName: "scte35Esam"
        },
        Scte35Pid: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "scte35Pid"
        },
        Scte35Source: {
            shape: {
                type: "string"
            },
            locationName: "scte35Source"
        },
        SegmentationMarkers: {
            shape: {
                type: "string"
            },
            locationName: "segmentationMarkers"
        },
        SegmentationStyle: {
            shape: {
                type: "string"
            },
            locationName: "segmentationStyle"
        },
        SegmentationTime: {
            shape: {
                type: "float"
            },
            locationName: "segmentationTime"
        },
        TimedMetadataPid: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "timedMetadataPid"
        },
        TransportStreamId: {
            shape: {
                type: "integer"
            },
            locationName: "transportStreamId"
        },
        VideoPid: {
            shape: {
                type: "integer",
                min: 32
            },
            locationName: "videoPid"
        }
    }
};
//# sourceMappingURL=_M2tsSettings.js.map