"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MotionImageInsertionFramerate_1 = require("./_MotionImageInsertionFramerate");
var _MotionImageInsertionOffset_1 = require("./_MotionImageInsertionOffset");
exports._MotionImageInserter = {
    type: "structure",
    required: [],
    members: {
        Framerate: {
            shape: _MotionImageInsertionFramerate_1._MotionImageInsertionFramerate,
            locationName: "framerate"
        },
        Input: {
            shape: {
                type: "string",
                min: 14
            },
            locationName: "input"
        },
        InsertionMode: {
            shape: {
                type: "string"
            },
            locationName: "insertionMode"
        },
        Offset: {
            shape: _MotionImageInsertionOffset_1._MotionImageInsertionOffset,
            locationName: "offset"
        },
        Playback: {
            shape: {
                type: "string"
            },
            locationName: "playback"
        },
        StartTime: {
            shape: {
                type: "string",
                min: 11
            },
            locationName: "startTime"
        }
    }
};
//# sourceMappingURL=_MotionImageInserter.js.map