"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Mp2Settings = {
    type: "structure",
    required: [],
    members: {
        Bitrate: {
            shape: {
                type: "integer",
                min: 32000
            },
            locationName: "bitrate"
        },
        Channels: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "channels"
        },
        SampleRate: {
            shape: {
                type: "integer",
                min: 32000
            },
            locationName: "sampleRate"
        }
    }
};
//# sourceMappingURL=_Mp2Settings.js.map