"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ___listOfAudioDescription_1 = require("./___listOfAudioDescription");
var ___listOfCaptionDescription_1 = require("./___listOfCaptionDescription");
var _ContainerSettings_1 = require("./_ContainerSettings");
var _OutputSettings_1 = require("./_OutputSettings");
var _VideoDescription_1 = require("./_VideoDescription");
exports._Output = {
    type: "structure",
    required: [],
    members: {
        AudioDescriptions: {
            shape: ___listOfAudioDescription_1.___listOfAudioDescription,
            locationName: "audioDescriptions"
        },
        CaptionDescriptions: {
            shape: ___listOfCaptionDescription_1.___listOfCaptionDescription,
            locationName: "captionDescriptions"
        },
        ContainerSettings: {
            shape: _ContainerSettings_1._ContainerSettings,
            locationName: "containerSettings"
        },
        Extension: {
            shape: {
                type: "string"
            },
            locationName: "extension"
        },
        NameModifier: {
            shape: {
                type: "string",
                min: 1
            },
            locationName: "nameModifier"
        },
        OutputSettings: {
            shape: _OutputSettings_1._OutputSettings,
            locationName: "outputSettings"
        },
        Preset: {
            shape: {
                type: "string"
            },
            locationName: "preset"
        },
        VideoDescription: {
            shape: _VideoDescription_1._VideoDescription,
            locationName: "videoDescription"
        }
    }
};
//# sourceMappingURL=_Output.js.map