"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CmafGroupSettings_1 = require("./_CmafGroupSettings");
var _DashIsoGroupSettings_1 = require("./_DashIsoGroupSettings");
var _FileGroupSettings_1 = require("./_FileGroupSettings");
var _HlsGroupSettings_1 = require("./_HlsGroupSettings");
var _MsSmoothGroupSettings_1 = require("./_MsSmoothGroupSettings");
exports._OutputGroupSettings = {
    type: "structure",
    required: [],
    members: {
        CmafGroupSettings: {
            shape: _CmafGroupSettings_1._CmafGroupSettings,
            locationName: "cmafGroupSettings"
        },
        DashIsoGroupSettings: {
            shape: _DashIsoGroupSettings_1._DashIsoGroupSettings,
            locationName: "dashIsoGroupSettings"
        },
        FileGroupSettings: {
            shape: _FileGroupSettings_1._FileGroupSettings,
            locationName: "fileGroupSettings"
        },
        HlsGroupSettings: {
            shape: _HlsGroupSettings_1._HlsGroupSettings,
            locationName: "hlsGroupSettings"
        },
        MsSmoothGroupSettings: {
            shape: _MsSmoothGroupSettings_1._MsSmoothGroupSettings,
            locationName: "msSmoothGroupSettings"
        },
        Type: {
            shape: {
                type: "string"
            },
            locationName: "type"
        }
    }
};
//# sourceMappingURL=_OutputGroupSettings.js.map