"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PresetSettings_1 = require("./_PresetSettings");
exports._Preset = {
    type: "structure",
    required: ["Settings", "Name"],
    members: {
        Arn: {
            shape: {
                type: "string"
            },
            locationName: "arn"
        },
        Category: {
            shape: {
                type: "string"
            },
            locationName: "category"
        },
        CreatedAt: {
            shape: {
                type: "timestamp",
                timestampFormat: "unixTimestamp"
            },
            locationName: "createdAt"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        LastUpdated: {
            shape: {
                type: "timestamp",
                timestampFormat: "unixTimestamp"
            },
            locationName: "lastUpdated"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        Settings: {
            shape: _PresetSettings_1._PresetSettings,
            locationName: "settings"
        },
        Type: {
            shape: {
                type: "string"
            },
            locationName: "type"
        }
    }
};
//# sourceMappingURL=_Preset.js.map