"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ___listOfAudioDescription_1 = require("./___listOfAudioDescription");
var ___listOfCaptionDescriptionPreset_1 = require("./___listOfCaptionDescriptionPreset");
var _ContainerSettings_1 = require("./_ContainerSettings");
var _VideoDescription_1 = require("./_VideoDescription");
exports._PresetSettings = {
    type: "structure",
    required: [],
    members: {
        AudioDescriptions: {
            shape: ___listOfAudioDescription_1.___listOfAudioDescription,
            locationName: "audioDescriptions"
        },
        CaptionDescriptions: {
            shape: ___listOfCaptionDescriptionPreset_1.___listOfCaptionDescriptionPreset,
            locationName: "captionDescriptions"
        },
        ContainerSettings: {
            shape: _ContainerSettings_1._ContainerSettings,
            locationName: "containerSettings"
        },
        VideoDescription: {
            shape: _VideoDescription_1._VideoDescription,
            locationName: "videoDescription"
        }
    }
};
//# sourceMappingURL=_PresetSettings.js.map