"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ReservationPlanSettings = {
    type: "structure",
    required: ["Commitment", "ReservedSlots", "RenewalType"],
    members: {
        Commitment: {
            shape: {
                type: "string"
            },
            locationName: "commitment"
        },
        RenewalType: {
            shape: {
                type: "string"
            },
            locationName: "renewalType"
        },
        ReservedSlots: {
            shape: {
                type: "integer"
            },
            locationName: "reservedSlots"
        }
    }
};
//# sourceMappingURL=_ReservationPlanSettings.js.map