"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._WavSettings = {
    type: "structure",
    required: [],
    members: {
        BitDepth: {
            shape: {
                type: "integer",
                min: 16
            },
            locationName: "bitDepth"
        },
        Channels: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "channels"
        },
        Format: {
            shape: {
                type: "string"
            },
            locationName: "format"
        },
        SampleRate: {
            shape: {
                type: "integer",
                min: 8000
            },
            locationName: "sampleRate"
        }
    }
};
//# sourceMappingURL=_WavSettings.js.map