import { AssociateCertificateOutput } from "./AssociateCertificateOutput";
import { CancelJobOutput } from "./CancelJobOutput";
import { CreateJobOutput } from "./CreateJobOutput";
import { CreateJobTemplateOutput } from "./CreateJobTemplateOutput";
import { CreatePresetOutput } from "./CreatePresetOutput";
import { CreateQueueOutput } from "./CreateQueueOutput";
import { DeleteJobTemplateOutput } from "./DeleteJobTemplateOutput";
import { DeletePresetOutput } from "./DeletePresetOutput";
import { DeleteQueueOutput } from "./DeleteQueueOutput";
import { DescribeEndpointsOutput } from "./DescribeEndpointsOutput";
import { DisassociateCertificateOutput } from "./DisassociateCertificateOutput";
import { GetJobOutput } from "./GetJobOutput";
import { GetJobTemplateOutput } from "./GetJobTemplateOutput";
import { GetPresetOutput } from "./GetPresetOutput";
import { GetQueueOutput } from "./GetQueueOutput";
import { ListJobTemplatesOutput } from "./ListJobTemplatesOutput";
import { ListJobsOutput } from "./ListJobsOutput";
import { ListPresetsOutput } from "./ListPresetsOutput";
import { ListQueuesOutput } from "./ListQueuesOutput";
import { ListTagsForResourceOutput } from "./ListTagsForResourceOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
import { UpdateJobTemplateOutput } from "./UpdateJobTemplateOutput";
import { UpdatePresetOutput } from "./UpdatePresetOutput";
import { UpdateQueueOutput } from "./UpdateQueueOutput";
export declare type OutputTypesUnion = AssociateCertificateOutput | CancelJobOutput | CreateJobOutput | CreateJobTemplateOutput | CreatePresetOutput | CreateQueueOutput | DeleteJobTemplateOutput | DeletePresetOutput | DeleteQueueOutput | DescribeEndpointsOutput | DisassociateCertificateOutput | GetJobOutput | GetJobTemplateOutput | GetPresetOutput | GetQueueOutput | ListJobTemplatesOutput | ListJobsOutput | ListPresetsOutput | ListQueuesOutput | ListTagsForResourceOutput | TagResourceOutput | UntagResourceOutput | UpdateJobTemplateOutput | UpdatePresetOutput | UpdateQueueOutput;
