/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AssociateCertificateInput } from "../types/AssociateCertificateInput";
import { AssociateCertificateOutput } from "../types/AssociateCertificateOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/AssociateCertificateInput";
export * from "../types/AssociateCertificateOutput";
export * from "../types/AssociateCertificateExceptionsUnion";
export declare class AssociateCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, AssociateCertificateInput, OutputTypesUnion, AssociateCertificateOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: AssociateCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AssociateCertificateInput, AssociateCertificateOutput, _stream.Readable>;
    constructor(input: AssociateCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<AssociateCertificateInput, AssociateCertificateOutput>;
}
