/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CancelJobInput } from "../types/CancelJobInput";
import { CancelJobOutput } from "../types/CancelJobOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/CancelJobInput";
export * from "../types/CancelJobOutput";
export * from "../types/CancelJobExceptionsUnion";
export declare class CancelJobCommand implements __aws_sdk_types.Command<InputTypesUnion, CancelJobInput, OutputTypesUnion, CancelJobOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: CancelJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CancelJobInput, CancelJobOutput, _stream.Readable>;
    constructor(input: CancelJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<CancelJobInput, CancelJobOutput>;
}
