"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateJobTemplate_1 = require("../model/operations/CreateJobTemplate");
var CreateJobTemplateCommand = /** @class */ (function () {
    function CreateJobTemplateCommand(input) {
        this.input = input;
        this.model = CreateJobTemplate_1.CreateJobTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateJobTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateJobTemplateCommand;
}());
exports.CreateJobTemplateCommand = CreateJobTemplateCommand;
//# sourceMappingURL=CreateJobTemplateCommand.js.map