/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPresetsInput } from "../types/ListPresetsInput";
import { ListPresetsOutput } from "../types/ListPresetsOutput";
import { MediaConvertResolvedConfiguration } from "../MediaConvertConfiguration";
export * from "../types/ListPresetsInput";
export * from "../types/ListPresetsOutput";
export * from "../types/ListPresetsExceptionsUnion";
export declare class ListPresetsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPresetsInput, OutputTypesUnion, ListPresetsOutput, MediaConvertResolvedConfiguration, _stream.Readable> {
    readonly input: ListPresetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPresetsInput, ListPresetsOutput, _stream.Readable>;
    constructor(input: ListPresetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaConvertResolvedConfiguration): __aws_sdk_types.Handler<ListPresetsInput, ListPresetsOutput>;
}
