"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListQueues_1 = require("../model/operations/ListQueues");
var ListQueuesCommand = /** @class */ (function () {
    function ListQueuesCommand(input) {
        this.input = input;
        this.model = ListQueues_1.ListQueues;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListQueuesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListQueuesCommand;
}());
exports.ListQueuesCommand = ListQueuesCommand;
//# sourceMappingURL=ListQueuesCommand.js.map