"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateJobTemplate_1 = require("../model/operations/UpdateJobTemplate");
var UpdateJobTemplateCommand = /** @class */ (function () {
    function UpdateJobTemplateCommand(input) {
        this.input = input;
        this.model = UpdateJobTemplate_1.UpdateJobTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateJobTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateJobTemplateCommand;
}());
exports.UpdateJobTemplateCommand = UpdateJobTemplateCommand;
//# sourceMappingURL=UpdateJobTemplateCommand.js.map