"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateJobTemplateInput_1 = require("../shapes/CreateJobTemplateInput");
var CreateJobTemplateOutput_1 = require("../shapes/CreateJobTemplateOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateJobTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateJobTemplate",
    http: {
        method: "POST",
        requestUri: "/2017-08-29/jobTemplates"
    },
    input: {
        shape: CreateJobTemplateInput_1.CreateJobTemplateInput
    },
    output: {
        shape: CreateJobTemplateOutput_1.CreateJobTemplateOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateJobTemplate.js.map