"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeEndpointsInput_1 = require("../shapes/DescribeEndpointsInput");
var DescribeEndpointsOutput_1 = require("../shapes/DescribeEndpointsOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEndpoints = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEndpoints",
    http: {
        method: "POST",
        requestUri: "/2017-08-29/endpoints"
    },
    input: {
        shape: DescribeEndpointsInput_1.DescribeEndpointsInput
    },
    output: {
        shape: DescribeEndpointsOutput_1.DescribeEndpointsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DescribeEndpoints.js.map