"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListJobsInput_1 = require("../shapes/ListJobsInput");
var ListJobsOutput_1 = require("../shapes/ListJobsOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListJobs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListJobs",
    http: {
        method: "GET",
        requestUri: "/2017-08-29/jobs"
    },
    input: {
        shape: ListJobsInput_1.ListJobsInput
    },
    output: {
        shape: ListJobsOutput_1.ListJobsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=ListJobs.js.map