"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPresetsInput_1 = require("../shapes/ListPresetsInput");
var ListPresetsOutput_1 = require("../shapes/ListPresetsOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPresets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPresets",
    http: {
        method: "GET",
        requestUri: "/2017-08-29/presets"
    },
    input: {
        shape: ListPresetsInput_1.ListPresetsInput
    },
    output: {
        shape: ListPresetsOutput_1.ListPresetsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=ListPresets.js.map