"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ReservationPlanSettings_1 = require("./_ReservationPlanSettings");
var ___mapOf__string_1 = require("./___mapOf__string");
exports.CreateQueueInput = {
    type: "structure",
    required: ["Name"],
    members: {
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        PricingPlan: {
            shape: {
                type: "string"
            },
            locationName: "pricingPlan"
        },
        ReservationPlanSettings: {
            shape: _ReservationPlanSettings_1._ReservationPlanSettings,
            locationName: "reservationPlanSettings"
        },
        Tags: {
            shape: ___mapOf__string_1.___mapOf__string,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=CreateQueueInput.js.map