"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AacSettings_1 = require("./_AacSettings");
var _Ac3Settings_1 = require("./_Ac3Settings");
var _AiffSettings_1 = require("./_AiffSettings");
var _Eac3AtmosSettings_1 = require("./_Eac3AtmosSettings");
var _Eac3Settings_1 = require("./_Eac3Settings");
var _Mp2Settings_1 = require("./_Mp2Settings");
var _WavSettings_1 = require("./_WavSettings");
exports._AudioCodecSettings = {
    type: "structure",
    required: [],
    members: {
        AacSettings: {
            shape: _AacSettings_1._AacSettings,
            locationName: "aacSettings"
        },
        Ac3Settings: {
            shape: _Ac3Settings_1._Ac3Settings,
            locationName: "ac3Settings"
        },
        AiffSettings: {
            shape: _AiffSettings_1._AiffSettings,
            locationName: "aiffSettings"
        },
        Codec: {
            shape: {
                type: "string"
            },
            locationName: "codec"
        },
        Eac3AtmosSettings: {
            shape: _Eac3AtmosSettings_1._Eac3AtmosSettings,
            locationName: "eac3AtmosSettings"
        },
        Eac3Settings: {
            shape: _Eac3Settings_1._Eac3Settings,
            locationName: "eac3Settings"
        },
        Mp2Settings: {
            shape: _Mp2Settings_1._Mp2Settings,
            locationName: "mp2Settings"
        },
        WavSettings: {
            shape: _WavSettings_1._WavSettings,
            locationName: "wavSettings"
        }
    }
};
//# sourceMappingURL=_AudioCodecSettings.js.map