"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ___listOf__integerMin1Max2147483647_1 = require("./___listOf__integerMin1Max2147483647");
var _RemixSettings_1 = require("./_RemixSettings");
exports._AudioSelector = {
    type: "structure",
    required: [],
    members: {
        CustomLanguageCode: {
            shape: {
                type: "string",
                min: 3
            },
            locationName: "customLanguageCode"
        },
        DefaultSelection: {
            shape: {
                type: "string"
            },
            locationName: "defaultSelection"
        },
        ExternalAudioFileInput: {
            shape: {
                type: "string"
            },
            locationName: "externalAudioFileInput"
        },
        LanguageCode: {
            shape: {
                type: "string"
            },
            locationName: "languageCode"
        },
        Offset: {
            shape: {
                type: "integer",
                min: -2147483648
            },
            locationName: "offset"
        },
        Pids: {
            shape: ___listOf__integerMin1Max2147483647_1.___listOf__integerMin1Max2147483647,
            locationName: "pids"
        },
        ProgramSelection: {
            shape: {
                type: "integer"
            },
            locationName: "programSelection"
        },
        RemixSettings: {
            shape: _RemixSettings_1._RemixSettings,
            locationName: "remixSettings"
        },
        SelectorType: {
            shape: {
                type: "string"
            },
            locationName: "selectorType"
        },
        Tracks: {
            shape: ___listOf__integerMin1Max2147483647_1.___listOf__integerMin1Max2147483647,
            locationName: "tracks"
        }
    }
};
//# sourceMappingURL=_AudioSelector.js.map