"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BurninDestinationSettings_1 = require("./_BurninDestinationSettings");
var _DvbSubDestinationSettings_1 = require("./_DvbSubDestinationSettings");
var _EmbeddedDestinationSettings_1 = require("./_EmbeddedDestinationSettings");
var _SccDestinationSettings_1 = require("./_SccDestinationSettings");
var _TeletextDestinationSettings_1 = require("./_TeletextDestinationSettings");
var _TtmlDestinationSettings_1 = require("./_TtmlDestinationSettings");
exports._CaptionDestinationSettings = {
    type: "structure",
    required: [],
    members: {
        BurninDestinationSettings: {
            shape: _BurninDestinationSettings_1._BurninDestinationSettings,
            locationName: "burninDestinationSettings"
        },
        DestinationType: {
            shape: {
                type: "string"
            },
            locationName: "destinationType"
        },
        DvbSubDestinationSettings: {
            shape: _DvbSubDestinationSettings_1._DvbSubDestinationSettings,
            locationName: "dvbSubDestinationSettings"
        },
        EmbeddedDestinationSettings: {
            shape: _EmbeddedDestinationSettings_1._EmbeddedDestinationSettings,
            locationName: "embeddedDestinationSettings"
        },
        SccDestinationSettings: {
            shape: _SccDestinationSettings_1._SccDestinationSettings,
            locationName: "sccDestinationSettings"
        },
        TeletextDestinationSettings: {
            shape: _TeletextDestinationSettings_1._TeletextDestinationSettings,
            locationName: "teletextDestinationSettings"
        },
        TtmlDestinationSettings: {
            shape: _TtmlDestinationSettings_1._TtmlDestinationSettings,
            locationName: "ttmlDestinationSettings"
        }
    }
};
//# sourceMappingURL=_CaptionDestinationSettings.js.map