"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CaptionSourceSettings_1 = require("./_CaptionSourceSettings");
exports._CaptionSelector = {
    type: "structure",
    required: [],
    members: {
        CustomLanguageCode: {
            shape: {
                type: "string",
                min: 3
            },
            locationName: "customLanguageCode"
        },
        LanguageCode: {
            shape: {
                type: "string"
            },
            locationName: "languageCode"
        },
        SourceSettings: {
            shape: _CaptionSourceSettings_1._CaptionSourceSettings,
            locationName: "sourceSettings"
        }
    }
};
//# sourceMappingURL=_CaptionSelector.js.map