"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AncillarySourceSettings_1 = require("./_AncillarySourceSettings");
var _DvbSubSourceSettings_1 = require("./_DvbSubSourceSettings");
var _EmbeddedSourceSettings_1 = require("./_EmbeddedSourceSettings");
var _FileSourceSettings_1 = require("./_FileSourceSettings");
var _TeletextSourceSettings_1 = require("./_TeletextSourceSettings");
var _TrackSourceSettings_1 = require("./_TrackSourceSettings");
exports._CaptionSourceSettings = {
    type: "structure",
    required: [],
    members: {
        AncillarySourceSettings: {
            shape: _AncillarySourceSettings_1._AncillarySourceSettings,
            locationName: "ancillarySourceSettings"
        },
        DvbSubSourceSettings: {
            shape: _DvbSubSourceSettings_1._DvbSubSourceSettings,
            locationName: "dvbSubSourceSettings"
        },
        EmbeddedSourceSettings: {
            shape: _EmbeddedSourceSettings_1._EmbeddedSourceSettings,
            locationName: "embeddedSourceSettings"
        },
        FileSourceSettings: {
            shape: _FileSourceSettings_1._FileSourceSettings,
            locationName: "fileSourceSettings"
        },
        SourceType: {
            shape: {
                type: "string"
            },
            locationName: "sourceType"
        },
        TeletextSourceSettings: {
            shape: _TeletextSourceSettings_1._TeletextSourceSettings,
            locationName: "teletextSourceSettings"
        },
        TrackSourceSettings: {
            shape: _TrackSourceSettings_1._TrackSourceSettings,
            locationName: "trackSourceSettings"
        }
    }
};
//# sourceMappingURL=_CaptionSourceSettings.js.map