"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StaticKeyProvider_1 = require("./_StaticKeyProvider");
exports._CmafEncryptionSettings = {
    type: "structure",
    required: [],
    members: {
        ConstantInitializationVector: {
            shape: {
                type: "string",
                min: 32
            },
            locationName: "constantInitializationVector"
        },
        EncryptionMethod: {
            shape: {
                type: "string"
            },
            locationName: "encryptionMethod"
        },
        InitializationVectorInManifest: {
            shape: {
                type: "string"
            },
            locationName: "initializationVectorInManifest"
        },
        StaticKeyProvider: {
            shape: _StaticKeyProvider_1._StaticKeyProvider,
            locationName: "staticKeyProvider"
        },
        Type: {
            shape: {
                type: "string"
            },
            locationName: "type"
        }
    }
};
//# sourceMappingURL=_CmafEncryptionSettings.js.map