"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _F4vSettings_1 = require("./_F4vSettings");
var _M2tsSettings_1 = require("./_M2tsSettings");
var _M3u8Settings_1 = require("./_M3u8Settings");
var _MovSettings_1 = require("./_MovSettings");
var _Mp4Settings_1 = require("./_Mp4Settings");
exports._ContainerSettings = {
    type: "structure",
    required: [],
    members: {
        Container: {
            shape: {
                type: "string"
            },
            locationName: "container"
        },
        F4vSettings: {
            shape: _F4vSettings_1._F4vSettings,
            locationName: "f4vSettings"
        },
        M2tsSettings: {
            shape: _M2tsSettings_1._M2tsSettings,
            locationName: "m2tsSettings"
        },
        M3u8Settings: {
            shape: _M3u8Settings_1._M3u8Settings,
            locationName: "m3u8Settings"
        },
        MovSettings: {
            shape: _MovSettings_1._MovSettings,
            locationName: "movSettings"
        },
        Mp4Settings: {
            shape: _Mp4Settings_1._Mp4Settings,
            locationName: "mp4Settings"
        }
    }
};
//# sourceMappingURL=_ContainerSettings.js.map