"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DestinationSettings_1 = require("./_DestinationSettings");
var _DashIsoEncryptionSettings_1 = require("./_DashIsoEncryptionSettings");
exports._DashIsoGroupSettings = {
    type: "structure",
    required: [],
    members: {
        BaseUrl: {
            shape: {
                type: "string"
            },
            locationName: "baseUrl"
        },
        Destination: {
            shape: {
                type: "string"
            },
            locationName: "destination"
        },
        DestinationSettings: {
            shape: _DestinationSettings_1._DestinationSettings,
            locationName: "destinationSettings"
        },
        Encryption: {
            shape: _DashIsoEncryptionSettings_1._DashIsoEncryptionSettings,
            locationName: "encryption"
        },
        FragmentLength: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "fragmentLength"
        },
        HbbtvCompliance: {
            shape: {
                type: "string"
            },
            locationName: "hbbtvCompliance"
        },
        MinBufferTime: {
            shape: {
                type: "integer"
            },
            locationName: "minBufferTime"
        },
        SegmentControl: {
            shape: {
                type: "string"
            },
            locationName: "segmentControl"
        },
        SegmentLength: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "segmentLength"
        },
        WriteSegmentTimelineInRepresentation: {
            shape: {
                type: "string"
            },
            locationName: "writeSegmentTimelineInRepresentation"
        }
    }
};
//# sourceMappingURL=_DashIsoGroupSettings.js.map