"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._InputDecryptionSettings = {
    type: "structure",
    required: [],
    members: {
        DecryptionMode: {
            shape: {
                type: "string"
            },
            locationName: "decryptionMode"
        },
        EncryptedDecryptionKey: {
            shape: {
                type: "string",
                min: 24
            },
            locationName: "encryptedDecryptionKey"
        },
        InitializationVector: {
            shape: {
                type: "string",
                min: 16
            },
            locationName: "initializationVector"
        },
        KmsKeyRegion: {
            shape: {
                type: "string",
                min: 9
            },
            locationName: "kmsKeyRegion"
        }
    }
};
//# sourceMappingURL=_InputDecryptionSettings.js.map