"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AvailBlanking_1 = require("./_AvailBlanking");
var _EsamSettings_1 = require("./_EsamSettings");
var ___listOfInput_1 = require("./___listOfInput");
var _MotionImageInserter_1 = require("./_MotionImageInserter");
var _NielsenConfiguration_1 = require("./_NielsenConfiguration");
var ___listOfOutputGroup_1 = require("./___listOfOutputGroup");
var _TimecodeConfig_1 = require("./_TimecodeConfig");
var _TimedMetadataInsertion_1 = require("./_TimedMetadataInsertion");
exports._JobSettings = {
    type: "structure",
    required: [],
    members: {
        AdAvailOffset: {
            shape: {
                type: "integer",
                min: -1000
            },
            locationName: "adAvailOffset"
        },
        AvailBlanking: {
            shape: _AvailBlanking_1._AvailBlanking,
            locationName: "availBlanking"
        },
        Esam: {
            shape: _EsamSettings_1._EsamSettings,
            locationName: "esam"
        },
        Inputs: {
            shape: ___listOfInput_1.___listOfInput,
            locationName: "inputs"
        },
        MotionImageInserter: {
            shape: _MotionImageInserter_1._MotionImageInserter,
            locationName: "motionImageInserter"
        },
        NielsenConfiguration: {
            shape: _NielsenConfiguration_1._NielsenConfiguration,
            locationName: "nielsenConfiguration"
        },
        OutputGroups: {
            shape: ___listOfOutputGroup_1.___listOfOutputGroup,
            locationName: "outputGroups"
        },
        TimecodeConfig: {
            shape: _TimecodeConfig_1._TimecodeConfig,
            locationName: "timecodeConfig"
        },
        TimedMetadataInsertion: {
            shape: _TimedMetadataInsertion_1._TimedMetadataInsertion,
            locationName: "timedMetadataInsertion"
        }
    }
};
//# sourceMappingURL=_JobSettings.js.map