"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DestinationSettings_1 = require("./_DestinationSettings");
var _MsSmoothEncryptionSettings_1 = require("./_MsSmoothEncryptionSettings");
exports._MsSmoothGroupSettings = {
    type: "structure",
    required: [],
    members: {
        AudioDeduplication: {
            shape: {
                type: "string"
            },
            locationName: "audioDeduplication"
        },
        Destination: {
            shape: {
                type: "string"
            },
            locationName: "destination"
        },
        DestinationSettings: {
            shape: _DestinationSettings_1._DestinationSettings,
            locationName: "destinationSettings"
        },
        Encryption: {
            shape: _MsSmoothEncryptionSettings_1._MsSmoothEncryptionSettings,
            locationName: "encryption"
        },
        FragmentLength: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "fragmentLength"
        },
        ManifestEncoding: {
            shape: {
                type: "string"
            },
            locationName: "manifestEncoding"
        }
    }
};
//# sourceMappingURL=_MsSmoothGroupSettings.js.map