"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ReservationPlan = {
    type: "structure",
    required: [],
    members: {
        Commitment: {
            shape: {
                type: "string"
            },
            locationName: "commitment"
        },
        ExpiresAt: {
            shape: {
                type: "timestamp",
                timestampFormat: "unixTimestamp"
            },
            locationName: "expiresAt"
        },
        PurchasedAt: {
            shape: {
                type: "timestamp",
                timestampFormat: "unixTimestamp"
            },
            locationName: "purchasedAt"
        },
        RenewalType: {
            shape: {
                type: "string"
            },
            locationName: "renewalType"
        },
        ReservedSlots: {
            shape: {
                type: "integer"
            },
            locationName: "reservedSlots"
        },
        Status: {
            shape: {
                type: "string"
            },
            locationName: "status"
        }
    }
};
//# sourceMappingURL=_ReservationPlan.js.map