"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _FrameCaptureSettings_1 = require("./_FrameCaptureSettings");
var _H264Settings_1 = require("./_H264Settings");
var _H265Settings_1 = require("./_H265Settings");
var _Mpeg2Settings_1 = require("./_Mpeg2Settings");
var _ProresSettings_1 = require("./_ProresSettings");
exports._VideoCodecSettings = {
    type: "structure",
    required: [],
    members: {
        Codec: {
            shape: {
                type: "string"
            },
            locationName: "codec"
        },
        FrameCaptureSettings: {
            shape: _FrameCaptureSettings_1._FrameCaptureSettings,
            locationName: "frameCaptureSettings"
        },
        H264Settings: {
            shape: _H264Settings_1._H264Settings,
            locationName: "h264Settings"
        },
        H265Settings: {
            shape: _H265Settings_1._H265Settings,
            locationName: "h265Settings"
        },
        Mpeg2Settings: {
            shape: _Mpeg2Settings_1._Mpeg2Settings,
            locationName: "mpeg2Settings"
        },
        ProresSettings: {
            shape: _ProresSettings_1._ProresSettings,
            locationName: "proresSettings"
        }
    }
};
//# sourceMappingURL=_VideoCodecSettings.js.map