"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ColorCorrector_1 = require("./_ColorCorrector");
var _Deinterlacer_1 = require("./_Deinterlacer");
var _ImageInserter_1 = require("./_ImageInserter");
var _NoiseReducer_1 = require("./_NoiseReducer");
var _TimecodeBurnin_1 = require("./_TimecodeBurnin");
exports._VideoPreprocessor = {
    type: "structure",
    required: [],
    members: {
        ColorCorrector: {
            shape: _ColorCorrector_1._ColorCorrector,
            locationName: "colorCorrector"
        },
        Deinterlacer: {
            shape: _Deinterlacer_1._Deinterlacer,
            locationName: "deinterlacer"
        },
        ImageInserter: {
            shape: _ImageInserter_1._ImageInserter,
            locationName: "imageInserter"
        },
        NoiseReducer: {
            shape: _NoiseReducer_1._NoiseReducer,
            locationName: "noiseReducer"
        },
        TimecodeBurnin: {
            shape: _TimecodeBurnin_1._TimecodeBurnin,
            locationName: "timecodeBurnin"
        }
    }
};
//# sourceMappingURL=_VideoPreprocessor.js.map