"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Hdr10Metadata_1 = require("./_Hdr10Metadata");
exports._VideoSelector = {
    type: "structure",
    required: [],
    members: {
        ColorSpace: {
            shape: {
                type: "string"
            },
            locationName: "colorSpace"
        },
        ColorSpaceUsage: {
            shape: {
                type: "string"
            },
            locationName: "colorSpaceUsage"
        },
        Hdr10Metadata: {
            shape: _Hdr10Metadata_1._Hdr10Metadata,
            locationName: "hdr10Metadata"
        },
        Pid: {
            shape: {
                type: "integer",
                min: 1
            },
            locationName: "pid"
        },
        ProgramNumber: {
            shape: {
                type: "integer",
                min: -2147483648
            },
            locationName: "programNumber"
        },
        Rotate: {
            shape: {
                type: "string"
            },
            locationName: "rotate"
        }
    }
};
//# sourceMappingURL=_VideoSelector.js.map